Subject: Re: bug#25767: [PATCH] 25.1.91; abbrev-prefix-mark expansion inserts newline

From: Noam Postavsky <[email-masked]>
Date: Fri, 24 Feb 2017 09:26:46 -0500

On Fri, Feb 24, 2017 at 12:34 AM, Allen Li <[email-masked]> wrote:
>
> I tried running abbrev-tests.el, but they don't seem to pass, even
> without my change.  I am running these tests by: (eval-buffer)
> followed by (ert).
>
> I am getting undefined variable errors that I can fix with (require
> 'obarray).  Am I running these tests incorrectly or should I add a
> (require 'obarray) to abbrev-tests.el?

The tests pass for me unchanged, both the "official way": cd into
tests/ and then 'make abbrev-tests', and also M-x eval-buffer M-x ert.